#pragma once

#include <maps/wikimap/mapspro/libs/revision_meta/include/common.h>

#include <pqxx/pqxx>

#include <optional>

namespace maps::wiki::revision_meta {

void enqueueCommitsForApprovedBranch(
    pqxx::transaction_base& txnCore,
    const TCommitIds& commitIds);

void enqueueServiceTaskCommitsForApprovedBranch(
    pqxx::transaction_base& txnCore,
    const TCommitIds& commitIds);

void moveFromPreApprovedToApprovedQueueIfPossible(
    pqxx::transaction_base& coreWriteTxn,
    const TCommitIds& commitIdsWithActiveTasks);

} // namespace maps::wiki::revision_meta
